Package org.springframework.beans.factory.aot

# Interface BeanRegistrationExcludeFilter

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface BeanRegistrationExcludeFilter
Filter that can be used to exclude AOT processing of a `RegisteredBean`.

Since:
  6.0
Author:
  Phillip Webb, Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isExcludedFromAotProcessing(RegisteredBean registeredBean)`
Return if the registered bean should be excluded from AOT processing and registration.

## Method Details

### isExcludedFromAotProcessing

boolean isExcludedFromAotProcessing(RegisteredBean registeredBean)
Return if the registered bean should be excluded from AOT processing and registration.

Parameters:
  `registeredBean` - the registered bean
Returns:
  if the registered bean should be excluded